curl --request PUT \
--url https://api.clickpesa.com/third-parties/billpay/update-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billPayNumber": "55042914871931",
"status": "INACTIVE"
}
'{
"billPayNumber": "55042914871931",
"status": "INACTIVE"
}Deprecated. Use PATCH /billpay/ with body instead. Updates the status of a BillPay reference. Inactive references will be rejected during verification and confirmation.
curl --request PUT \
--url https://api.clickpesa.com/third-parties/billpay/update-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billPayNumber": "55042914871931",
"status": "INACTIVE"
}
'{
"billPayNumber": "55042914871931",
"status": "INACTIVE"
}Authorization header containing the JWT access token returned from the generate token endpoint. The token already includes the Bearer prefix. Example: Authorization: Bearer eyJhbGciOi...
The BillPay reference number to update
"55042914871931"
The status to set for the BillPay reference. ACTIVE allows payments to be processed, INACTIVE prevents payments from being processed.
ACTIVE, INACTIVE "INACTIVE"